//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "HelpClass.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
THelpClassForm *HelpClassForm;
static int RowSelect = -1;
//---------------------------------------------------------------------------
__fastcall THelpClassForm::THelpClassForm(TComponent* Owner)
	: TForm(Owner)
{
   Class = -1;
}
//---------------------------------------------------------------------------
void __fastcall THelpClassForm::FormShow(TObject *Sender)
{
   int i, k;
   Class = -1;
   StringGrid_class->DefaultDrawing = false;
   k = 0;
   StringGrid_class->Cells[0][k] = " 1.";
   StringGrid_class->Cells[1][k] = "НДС, при котором напряжения по всей площади сечения не превышают расчётного сопротивления стали Ry (упругое состояние сечения)";
   k++;
   StringGrid_class->Cells[0][k] = " 2.";
   StringGrid_class->Cells[1][k] = "НДС, при котором в одной части сечения напряжения меньше Ry, а в другой равны Ry (упруго-пластическое состояние сечения)";
   k++;
   StringGrid_class->Cells[0][k] = " 3.";
   StringGrid_class->Cells[1][k] = "НДС, при котором по всей площади сечения напряжения равны Ry (пластическое состояние сечения, условный пластический шарнир)";
   k++;

   StringGrid_class->RowCount = k;
}
//---------------------------------------------------------------------------
void __fastcall THelpClassForm::StringGrid_classDrawCell(TObject *Sender, int ACol,
		  int ARow, TRect &Rect, TGridDrawState State)
{
HDC hdc;
   int length;

	  AnsiString Text;
   Text = StringGrid_class->Cells[ACol][ARow];
   StringGrid_class->Canvas->Brush->Color = clWhite;
   if (RowSelect == ARow) {
	 StringGrid_class->Canvas->Brush->Color = cl3DLight;
   }
   else {
	 StringGrid_class->Canvas->Brush->Color = clWhite;
   }
   StringGrid_class->Canvas->FillRect(Rect);
   DrawText(StringGrid_class->Canvas->Handle, Text.c_str(), Text.Length(), &Rect, DT_WORDBREAK);

}
//---------------------------------------------------------------------------
void __fastcall THelpClassForm::StringGrid_classSelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect)
{
	  RowSelect = ARow;

}
//---------------------------------------------------------------------------
void __fastcall THelpClassForm::BitBtnCancelClick(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------
void __fastcall THelpClassForm::BitBtnApplyClick(TObject *Sender)
{
	   if (RowSelect == -1) {
	  int i =Application->MessageBox(L"Класс не выбран. Продолжить/Выйти (Да/Нет)", L" ",
						  MB_YESNO | MB_ICONQUESTION);
		if (i==IDYES) return;
		else {
		  Close();
		  return;
		}
   }
	  Class = RowSelect;

   if (Class < 0) {
	  int i =Application->MessageBox(L"Класс не выбран. Продолжить/Выйти (Да/Нет)", L" ",
						  MB_YESNO | MB_ICONQUESTION);
		if (i==IDYES) return;
   }

   Close();

}
//---------------------------------------------------------------------------

